Subject: bug#24298: 25.1; problem with restoring desktop

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Aug 2016 17:23:52 +0300

> From: John Covici <[email-masked]>
> Date: Wed, 24 Aug 2016 07:31:03 -0400
> 
> I am having a problem restoring my desktop, when there are several
> buffers.  Instead of restoring the correct buffer as the current one, a
> random buffer is restored.

I use desktop.el for a long time, and never had any such problems: I
always get the buffer that was current when I shut down Emacs.

> Here is my .emacs file if that would help.

Hard to analyze such a large file.  One difference from what I have is
that my ~/.emacs has this single line

  (desktop-save-mode 1)

near the very end of the file, whereas you activate desktop-save-mode
via Customize, and it's not the last thing done in the init file.  So
maybe what comes after the activation of desktop-save-mode causes the
problem?